#
# spec file for package perl-Locale-US
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Locale-US
Version:        3.04
Release:        2.2
%define cpan_name Locale-US
Summary:        Two letter codes for state identification in the United States and vice versa
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Locale-US/
Source0:        http://www.cpan.org/authors/id/A/AC/ACCARDO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::Section::Simple)
Requires:       perl(Data::Section::Simple)
%{perl_requires}

%description
Two letter codes for state identification in the United States and vice versa.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes codes.dat kruft.txt LICENSE README

%changelog
* Tue Sep  1 2015 coolo@suse.com
- updated to 3.04
  see /usr/share/doc/packages/perl-Locale-US/Changes
  3.04 - Ditto, this is fun
* Mon Aug 31 2015 coolo@suse.com
- updated to 3.03
  see /usr/share/doc/packages/perl-Locale-US/Changes
  3.03 - still trying to get the license right, edited META.yml
  3.02 - Update for license
* Sun Aug 30 2015 coolo@suse.com
- updated to 3.01
  see /usr/share/doc/packages/perl-Locale-US/Changes
* Mon Dec 19 2011 coolo@suse.com
- updated to 2.112150, new author - no changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78.02
  o fix deps
- noarch pkg
- switched to gz source (smaller)
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 1.2
